
Redmine - Defect #26645

git 2.14 compatibility

2017-08-07 13:53 - Philip Taffner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 3.3.5   

Resolution: Fixed Affected version: 3.4.2

Description

There is no "--no-color" argument for "git version" anymore.

Potential fix:

Index: lib/redmine/scm/adapters/git_adapter.rb

===================================================================

--- lib/redmine/scm/adapters/git_adapter.rb     (revision 16828)

+++ lib/redmine/scm/adapters/git_adapter.rb     (working copy)

@@ -54,7 +54,7 @@

           end

           def scm_version_from_command_line

-            shellout("#{sq_bin} --version --no-color") { |io| io.read }.to_s

+            shellout("#{sq_bin} --version") { |io| io.read }.to_s

           end

         end

Related issues:

Related to Redmine - Defect #5324: Git not working if color.ui is enabled Closed 2010-04-15

Related to Redmine - Defect #29416: Do not show Git revisions Reopened

Has duplicate Redmine - Defect #26765: Redmine 3.3.3.stable Cannot find binar... Closed

Associated revisions

Revision 16948 - 2017-08-08 07:10 - Toshi MARUYAMA

git: remove "--no-color" option from "git --version" for git 2.14 compatibility (#26645)

Revision 16949 - 2017-08-08 08:22 - Toshi MARUYAMA

Merged r16948 from trunk to 3.4-stable (#26645)

git: remove "--no-color" option from "git --version" for git 2.14 compatibility.

Revision 16950 - 2017-08-08 08:24 - Toshi MARUYAMA

Merged r16948 from trunk to 3.3-stable (#26645)

git: remove "--no-color" option from "git --version" for git 2.14 compatibility.

History

#1 - 2017-08-08 05:54 - Toshi MARUYAMA

- Related to Defect #5324: Git not working if color.ui is enabled added

#2 - 2017-08-08 06:09 - Toshi MARUYAMA

$ ./git --version

git version 2.14.0

$ ./git --version --no-color

error: unknown option `no-color'

usage: git version [<options>]

    --build-options       also print build options
$ ./git log --no-color | wc

 753470 3494163 28722346

$ ./git log | wc

 753470 3494163 28722346

$ ./git config -l | grep color

color.ui=true

#3 - 2017-08-08 06:14 - Toshi MARUYAMA

- Subject changed from git 2.14 breaks fetch_changesets to git 2.14 comatibility

#4 - 2017-08-08 06:15 - Toshi MARUYAMA

- Subject changed from git 2.14 comatibility to git 2.14 compatibility

#5 - 2017-08-08 07:17 - Toshi MARUYAMA

- Target version set to 3.3.5

I have committed r16948.

We cannot use self.superclass.client_version_above? because "git --version --no-color" fails.

I think I added "--no-color" to "git --version" at r4885 for preventing feature brokenness.

#6 - 2017-08-26 06:55 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in turnk, 3.4-stable, and 3.3-stable.

#7 - 2017-08-26 21:59 - Marius BĂLTEANU

- Has duplicate Defect #26765: Redmine 3.3.3.stable Cannot find binary for Git 2.14  added

#8 - 2018-08-26 20:57 - Marius BĂLTEANU

- Related to Defect #29416: Do not show Git revisions  added
